SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Device (Multimedia)  >   Apple iPod touch Vendors:   Apple
Apple iPod touch Multiple Bugs Let Remote Users Execute Arbitrary Code and Redirect FaceTime Calls
SecurityTracker Alert ID:  1024414
SecurityTracker URL:  http://securitytracker.com/id/1024414
CVE Reference:   CVE-2010-1781, CVE-2010-1809, CVE-2010-1810, CVE-2010-1811, CVE-2010-1812, CVE-2010-1813, CVE-2010-1814, CVE-2010-1815, CVE-2010-1817   (Links to External Site)
Date:  Sep 9 2010
Impact:   Execution of arbitrary code via network, Modification of system information, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   Multiple vulnerabilities were reported in Apple iPod touch. A remote user can cause arbitrary code to be executed on the target user's system. A remote user can redirect FaceTime calls.

A remote user can create specially crafted HTML that, when loaded by the target user, will trigger a double free memory error in the processing of inline elements and execute arbitrary code on the target system [CVE-2010-1781].

James Robinson of Google, Inc. reported this vulnerability.

A remote user in a privileged network position may be able to exploit a certificate validation flaw to redirect FaceTime calls [CVE-2010-1810].

Aaron Sigel of vtty.com reported this vulnerability.

A remote user can create specially crafted TIFF image that, when loaded by the target user, will trigger a memory corruption error and execute arbitrary code on the target system [CVE-2010-1811].

Apple reported this vulnerability.

A remote user can create specially crafted HTML that, when loaded by the target user, will trigger a use-after-free memory error in the processing of selections and execute arbitrary code on the target system [CVE-2010-1812].

Ojan Vafai of Google, Inc. reported this vulnerability.

A remote user can create specially crafted HTML that, when loaded by the target user, will trigger a memory corruption error and execute arbitrary code on the target system [CVE-2010-1813].

Jose A. Vazquez of spa-s3c.blogspot.com reported this vulnerability.

A remote user can create specially crafted HTML that, when loaded by the target user, will trigger a memory corruption error in the processing of form menus and execute arbitrary code on the target system [CVE-2010-1814].

Csaba Osztrogonac of University of Szeged reported this vulnerability.

A remote user can create specially crafted HTML that, when loaded by the target user, will trigger a use-after-free memory error in the processing of scrollbars and execute arbitrary code on the target system [CVE-2010-1815].

Tony Chang of Google, Inc. reported this vulnerability.

A remote user can create specially crafted GIF image that, when loaded by the target user, will trigger a buffer overflow and execute arbitrary code on the target system [CVE-2010-1817].

Tom Ferris of Adobe PSIRT reported this vulnerability.

An application may use location services but not announce this through VoiceOver [CVE-2010-1809].

Robin Kipp of Forever Living Products Europe reported this vulnerability.

Impact:   A remote user can create content that, when loaded by the target user, will execute arbitrary code on the target user's system.

A remote user may be able to redirect FaceTime calls.

Solution:   The vendor has issued a fix (4.1 (8B117)).

The vendor's advisory is available at:

http://support.apple.com/kb/HT1222

Vendor URL:  support.apple.com/kb/HT1222 (Links to External Site)
Cause:   Access control error, Authentication error, Boundary error
Underlying OS:  Apple (iOS)
Underlying OS Comments:  2.0 - 4.0.2

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC